.subscription {
  background-color: #ffffff;

  &__title {
    padding-top: 140px;
    padding-bottom: 53px;
    color: #292929;
    font-size: 80px;
    font-weight: 900;
    line-height: 90px;

    @media screen and (max-width: 1366px) and (min-width: 1280px) {
      padding-left: 32px;
      margin-left: 0;
      width: 1216px;
    }

    @media screen and (max-width: 1080px) and (min-width: 950px) {
      padding-top: 53px;
      padding-bottom: 53px;
      padding-left: 32px;
      margin-left: 0;
      font-size: 60px;
      width: 890px;
    }
  }

  &__frame {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;

    @media screen and (max-width: 1080px) and (min-width: 950px) {
      display: block;
      padding-left: 32px;
      padding-right: 32px;
    }

    &-preview {
      display: grid;

      @media screen and (max-width: 1080px) and (min-width: 950px) {
        display: inline-grid;
      }
    }

    &-cost {
      display: grid;

      @media screen and (max-width: 1080px) and (min-width: 950px) {
        display: inline-grid;
        justify-items: center;
        padding-top: 67px;
        width: 230px;
      }
    }

    &-one, &-three, &-six, &-twelve {
      display: flex;
      justify-items: center;
      align-content: center;
      flex-direction: column;
      align-items: center;
      width: 310px;
      height: 624px;
      border: 6px #292929 solid;

      @media screen and (max-width: 1080px) and (min-width: 950px) {
        flex-direction: row;
        align-content: center;
        align-items: flex-start;
        justify-content: space-evenly;
        width: 100%;
        height: 248px;
        border-bottom: 0;
      }
    }

    &-six {
      width: 350px; 
      height: 686px; 
      border: 6px #FF8340 solid;

      @media screen and (max-width: 1080px) and (min-width: 950px) {
        display: flex;
        flex-direction: row;
        align-content: center;
        align-items: flex-start;
        justify-content: space-evenly;
        width: 100%;
        height: 248px;
        border-bottom: 0;
        border-top: 6px #292929 solid;
        border-right: 6px #292929 solid;
        border-left: 6px #292929 solid;
      }
    }

    &-twelve {
      @media screen and (max-width: 1080px) and (min-width: 950px) {
        border-bottom: 6px #292929 solid;
      }
    }

    &-image {
      padding-top: 69px;
      padding-bottom: 0;

      @media screen and (max-width: 1080px) and (min-width: 950px) {
        padding-top: 60px;
      }
    }

    .six {
      padding-top: 69px;
      margin-top: 70px;
      background-position: center;
      padding-bottom: 0;
      background-image: url(../images/subscription/image-six-activ.png);
      background-repeat: no-repeat;
      background-size:contain;

      @media screen and (max-width: 1080px) and (min-width: 950px) {
        background-image: url(../images/subscription/image-six.png);
      }
    }

    &-subtitle {
      padding-top: 24px;
      color: #292929;
      font-family: 'Arial', sans-serif;
      font-size: 20px;
      font-weight: 900;
      letter-spacing: 1px;
    }

    &-description {
      display: flex;
      padding-top: 74px;
      width: 234px;
      text-align: center;
      color: black;
      font-size: 20px;
      font-weight: 500;
      letter-spacing: 2px;

      @media screen and (max-width: 1080px) and (min-width: 950px) {
        display: inline-table;
        padding-top: 67px;
      }
    }

    &-price {
      padding-top: 36px;
      color: #292929;
      font-family: 'Arial', sans-serif;
      font-size: 45px;
      font-weight: 900;
      letter-spacing: 2.25px;
    }

    &-buy {
      padding-top: 16px;
      height: 45px;
      border: 0;
      color: #292929;
      font-size: 20px;
      font-weight: 500;
      letter-spacing: 2px;
      background: transparent;
      cursor: pointer;
    }
  }
}